Subject: Re: bug#11788: [babc40c4] still fails to implement HTTPS over HTTP proxy properly

From: lo2net <[email-masked]>
Date: Thu, 31 Dec 2015 00:16:03 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Fri, 25 Dec 2015 22:31:26 +0100
>> Cc: [email-masked], [email-masked], [email-masked]
>> 
>> lo2net <[email-masked]> writes:
>> 
>> > PS: If without gnutls support, it needs to be modified to use external
>> > program with https via proxy support(e.g. openssl s_client post-May 2015 release version:
>> > http://rt.openssl.org/Ticket/Display.html?id=2651) other than just throw an
>> > error. But I think very few people will need this since this bug report
>> > stayed with outstanding status for such a long time.
>> >
>> > Here is the patch:
>> 
>> I don't use proxies, so I can't test this, but looking at the code
>> quickly, it looks good.  (But see comments below on style.)

Sorry about bad coding style, I'll fix that.

>> 
>> Do you have FSF copyright assignments for Emacs on file?
>
> There's no assignment on file under the name lo2net <[email-masked]>.

What should I do next so this bug can be fixed ASAP? Although I've just
read http://www.gnu.org/software/emacs/CONTRIBUTE, but I still can't figure
out. Should I email request-assign.future to [email-masked] now?